<?php
/**
 * Ice Cream Dish: Block Patterns
 *
 * @since Ice Cream Dish 1.0
 */

function ice_cream_dish_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'ice-cream-dish' => array( 'label' => __( 'Ice Cream Dish', 'ice-cream-dish' ) )
	);
	$block_pattern_categories = apply_filters( 'ice_cream_dish_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'ice_cream_dish_register_block_patterns', 9 );